Edit

IABSD.fr/xenocara/proto/xf86driproto/Makefile.in

Branch :

  • Show log

    Commit

  • Author : matthieu
    Date : 2006-11-25 15:43:19
    Hash : fc2e867f
    Message : import from X.Org 7.2RC2

  • proto/xf86driproto/Makefile.in
  • # Makefile.in generated by automake 1.7.9 from Makefile.am.
    # @configure_input@
    
    # Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
    # Free Software Foundation, Inc.
    # This Makefile.in is free software; the Free Software Foundation
    # gives unlimited permission to copy and/or distribute it,
    # with or without modifications, as long as this notice is preserved.
    
    # This program is distributed in the hope that it will be useful,
    # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
    # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
    # PARTICULAR PURPOSE.
    
    @SET_MAKE@
    
    srcdir = @srcdir@
    top_srcdir = @top_srcdir@
    VPATH = @srcdir@
    pkgdatadir = $(datadir)/@PACKAGE@
    pkglibdir = $(libdir)/@PACKAGE@
    pkgincludedir = $(includedir)/@PACKAGE@
    top_builddir = .
    
    am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
    INSTALL = @INSTALL@
    install_sh_DATA = $(install_sh) -c -m 644
    install_sh_PROGRAM = $(install_sh) -c
    install_sh_SCRIPT = $(install_sh) -c
    INSTALL_HEADER = $(INSTALL_DATA)
    transform = $(program_transform_name)
    NORMAL_INSTALL = :
    PRE_INSTALL = :
    POST_INSTALL = :
    NORMAL_UNINSTALL = :
    PRE_UNINSTALL = :
    POST_UNINSTALL = :
    ACLOCAL = @ACLOCAL@
    AMTAR = @AMTAR@
    AUTOCONF = @AUTOCONF@
    AUTOHEADER = @AUTOHEADER@
    AUTOMAKE = @AUTOMAKE@
    AWK = @AWK@
    CYGPATH_W = @CYGPATH_W@
    DEFS = @DEFS@
    ECHO_C = @ECHO_C@
    ECHO_N = @ECHO_N@
    ECHO_T = @ECHO_T@
    INSTALL_DATA = @INSTALL_DATA@
    INSTALL_PROGRAM = @INSTALL_PROGRAM@
    INSTALL_SCRIPT = @INSTALL_SCRIPT@
    INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
    LIBOBJS = @LIBOBJS@
    LIBS = @LIBS@
    LTLIBOBJS = @LTLIBOBJS@
    MAKEINFO = @MAKEINFO@
    PACKAGE = @PACKAGE@
    PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
    PACKAGE_NAME = @PACKAGE_NAME@
    PACKAGE_STRING = @PACKAGE_STRING@
    PACKAGE_TARNAME = @PACKAGE_TARNAME@
    PACKAGE_VERSION = @PACKAGE_VERSION@
    PATH_SEPARATOR = @PATH_SEPARATOR@
    SET_MAKE = @SET_MAKE@
    SHELL = @SHELL@
    STRIP = @STRIP@
    VERSION = @VERSION@
    ac_ct_STRIP = @ac_ct_STRIP@
    am__leading_dot = @am__leading_dot@
    bindir = @bindir@
    build_alias = @build_alias@
    datadir = @datadir@
    exec_prefix = @exec_prefix@
    host_alias = @host_alias@
    includedir = @includedir@
    infodir = @infodir@
    install_sh = @install_sh@
    libdir = @libdir@
    libexecdir = @libexecdir@
    localstatedir = @localstatedir@
    mandir = @mandir@
    oldincludedir = @oldincludedir@
    prefix = @prefix@
    program_transform_name = @program_transform_name@
    sbindir = @sbindir@
    sharedstatedir = @sharedstatedir@
    sysconfdir = @sysconfdir@
    target_alias = @target_alias@
    xf86dridir = $(includedir)/X11/dri
    xf86dri_HEADERS = xf86dri.h xf86dristr.h
    
    driinterfacedir = $(includedir)/GL/internal
    driinterface_HEADERS = dri_interface.h
    
    pkgconfigdir = $(libdir)/pkgconfig
    pkgconfig_DATA = xf86driproto.pc
    
    EXTRA_DIST = autogen.sh xf86driproto.pc.in
    subdir = .
    ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
    mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
    CONFIG_CLEAN_FILES = xf86driproto.pc
    DIST_SOURCES =
    DATA = $(pkgconfig_DATA)
    
    HEADERS = $(driinterface_HEADERS) $(xf86dri_HEADERS)
    
    DIST_COMMON = $(driinterface_HEADERS) $(srcdir)/Makefile.in \
    	$(srcdir)/configure $(xf86dri_HEADERS) COPYING ChangeLog \
    	Makefile.am aclocal.m4 configure configure.ac install-sh \
    	missing mkinstalldirs xf86driproto.pc.in
    all: all-am
    
    .SUFFIXES:
    
    am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
     configure.lineno
    $(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.ac $(ACLOCAL_M4)
    	cd $(top_srcdir) && \
    	  $(AUTOMAKE) --foreign  Makefile
    Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
    	cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)
    
    $(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
    	$(SHELL) ./config.status --recheck
    $(srcdir)/configure:  $(srcdir)/configure.ac $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
    	cd $(srcdir) && $(AUTOCONF)
    
    $(ACLOCAL_M4):  configure.ac 
    	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
    xf86driproto.pc: $(top_builddir)/config.status xf86driproto.pc.in
    	cd $(top_builddir) && $(SHELL) ./config.status $@
    uninstall-info-am:
    pkgconfigDATA_INSTALL = $(INSTALL_DATA)
    install-pkgconfigDATA: $(pkgconfig_DATA)
    	@$(NORMAL_INSTALL)
    	$(mkinstalldirs) $(DESTDIR)$(pkgconfigdir)
    	@list='$(pkgconfig_DATA)'; for p in $$list; do \
    	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
    	  f="`echo $$p | sed -e 's|^.*/||'`"; \
    	  echo " $(pkgconfigDATA_INSTALL) $$d$$p $(DESTDIR)$(pkgconfigdir)/$$f"; \
    	  $(pkgconfigDATA_INSTALL) $$d$$p $(DESTDIR)$(pkgconfigdir)/$$f; \
    	done
    
    uninstall-pkgconfigDATA:
    	@$(NORMAL_UNINSTALL)
    	@list='$(pkgconfig_DATA)'; for p in $$list; do \
    	  f="`echo $$p | sed -e 's|^.*/||'`"; \
    	  echo " rm -f $(DESTDIR)$(pkgconfigdir)/$$f"; \
    	  rm -f $(DESTDIR)$(pkgconfigdir)/$$f; \
    	done
    driinterfaceHEADERS_INSTALL = $(INSTALL_HEADER)
    install-driinterfaceHEADERS: $(driinterface_HEADERS)
    	@$(NORMAL_INSTALL)
    	$(mkinstalldirs) $(DESTDIR)$(driinterfacedir)
    	@list='$(driinterface_HEADERS)'; for p in $$list; do \
    	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
    	  f="`echo $$p | sed -e 's|^.*/||'`"; \
    	  echo " $(driinterfaceHEADERS_INSTALL) $$d$$p $(DESTDIR)$(driinterfacedir)/$$f"; \
    	  $(driinterfaceHEADERS_INSTALL) $$d$$p $(DESTDIR)$(driinterfacedir)/$$f; \
    	done
    
    uninstall-driinterfaceHEADERS:
    	@$(NORMAL_UNINSTALL)
    	@list='$(driinterface_HEADERS)'; for p in $$list; do \
    	  f="`echo $$p | sed -e 's|^.*/||'`"; \
    	  echo " rm -f $(DESTDIR)$(driinterfacedir)/$$f"; \
    	  rm -f $(DESTDIR)$(driinterfacedir)/$$f; \
    	done
    xf86driHEADERS_INSTALL = $(INSTALL_HEADER)
    install-xf86driHEADERS: $(xf86dri_HEADERS)
    	@$(NORMAL_INSTALL)
    	$(mkinstalldirs) $(DESTDIR)$(xf86dridir)
    	@list='$(xf86dri_HEADERS)'; for p in $$list; do \
    	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
    	  f="`echo $$p | sed -e 's|^.*/||'`"; \
    	  echo " $(xf86driHEADERS_INSTALL) $$d$$p $(DESTDIR)$(xf86dridir)/$$f"; \
    	  $(xf86driHEADERS_INSTALL) $$d$$p $(DESTDIR)$(xf86dridir)/$$f; \
    	done
    
    uninstall-xf86driHEADERS:
    	@$(NORMAL_UNINSTALL)
    	@list='$(xf86dri_HEADERS)'; for p in $$list; do \
    	  f="`echo $$p | sed -e 's|^.*/||'`"; \
    	  echo " rm -f $(DESTDIR)$(xf86dridir)/$$f"; \
    	  rm -f $(DESTDIR)$(xf86dridir)/$$f; \
    	done
    
    ETAGS = etags
    ETAGSFLAGS =
    
    CTAGS = ctags
    CTAGSFLAGS =
    
    tags: TAGS
    
    ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
    	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
    	unique=`for i in $$list; do \
    	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
    	  done | \
    	  $(AWK) '    { files[$$0] = 1; } \
    	       END { for (i in files) print i; }'`; \
    	mkid -fID $$unique
    
    TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
    		$(TAGS_FILES) $(LISP)
    	tags=; \
    	here=`pwd`; \
    	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
    	unique=`for i in $$list; do \
    	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
    	  done | \
    	  $(AWK) '    { files[$$0] = 1; } \
    	       END { for (i in files) print i; }'`; \
    	test -z "$(ETAGS_ARGS)$$tags$$unique" \
    	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
    	     $$tags $$unique
    
    ctags: CTAGS
    CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
    		$(TAGS_FILES) $(LISP)
    	tags=; \
    	here=`pwd`; \
    	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
    	unique=`for i in $$list; do \
    	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
    	  done | \
    	  $(AWK) '    { files[$$0] = 1; } \
    	       END { for (i in files) print i; }'`; \
    	test -z "$(CTAGS_ARGS)$$tags$$unique" \
    	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
    	     $$tags $$unique
    
    GTAGS:
    	here=`$(am__cd) $(top_builddir) && pwd` \
    	  && cd $(top_srcdir) \
    	  && gtags -i $(GTAGS_ARGS) $$here
    
    distclean-tags:
    	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
    DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
    
    top_distdir = .
    distdir = $(PACKAGE)-$(VERSION)
    
    am__remove_distdir = \
      { test ! -d $(distdir) \
        || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
             && rm -fr $(distdir); }; }
    
    GZIP_ENV = --best
    distuninstallcheck_listfiles = find . -type f -print
    distcleancheck_listfiles = find . -type f -print
    
    distdir: $(DISTFILES)
    	$(am__remove_distdir)
    	mkdir $(distdir)
    	$(mkinstalldirs) $(distdir)/.
    	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
    	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
    	list='$(DISTFILES)'; for file in $$list; do \
    	  case $$file in \
    	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
    	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
    	  esac; \
    	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
    	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
    	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
    	    dir="/$$dir"; \
    	    $(mkinstalldirs) "$(distdir)$$dir"; \
    	  else \
    	    dir=''; \
    	  fi; \
    	  if test -d $$d/$$file; then \
    	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
    	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
    	    fi; \
    	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
    	  else \
    	    test -f $(distdir)/$$file \
    	    || cp -p $$d/$$file $(distdir)/$$file \
    	    || exit 1; \
    	  fi; \
    	done
    	-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
    	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
    	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
    	  ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
    	|| chmod -R a+r $(distdir)
    dist-gzip: distdir
    	$(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
    	$(am__remove_distdir)
    
    dist-bzip2: distdir
    	$(AMTAR) chof - $(distdir) | bzip2 -9 -c >$(distdir).tar.bz2
    	$(am__remove_distdir)
    
    dist dist-all: distdir
    	$(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
    	$(AMTAR) chof - $(distdir) | bzip2 -9 -c >$(distdir).tar.bz2
    	$(am__remove_distdir)
    
    # This target untars the dist file and tries a VPATH configuration.  Then
    # it guarantees that the distribution is self-contained by making another
    # tarfile.
    distcheck: dist
    	$(am__remove_distdir)
    	GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
    	chmod -R a-w $(distdir); chmod a+w $(distdir)
    	mkdir $(distdir)/_build
    	mkdir $(distdir)/_inst
    	chmod a-w $(distdir)
    	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
    	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
    	  && cd $(distdir)/_build \
    	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
    	    $(DISTCHECK_CONFIGURE_FLAGS) \
    	  && $(MAKE) $(AM_MAKEFLAGS) \
    	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
    	  && $(MAKE) $(AM_MAKEFLAGS) check \
    	  && $(MAKE) $(AM_MAKEFLAGS) install \
    	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
    	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
    	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
    	        distuninstallcheck \
    	  && chmod -R a-w "$$dc_install_base" \
    	  && ({ \
    	       (cd ../.. && $(mkinstalldirs) "$$dc_destdir") \
    	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
    	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
    	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
    	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
    	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
    	  && rm -rf "$$dc_destdir" \
    	  && $(MAKE) $(AM_MAKEFLAGS) dist-gzip \
    	  && rm -f $(distdir).tar.gz \
    	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
    	$(am__remove_distdir)
    	@echo "$(distdir).tar.gz is ready for distribution" | \
    	  sed 'h;s/./=/g;p;x;p;x'
    distuninstallcheck:
    	@cd $(distuninstallcheck_dir) \
    	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
    	   || { echo "ERROR: files left after uninstall:" ; \
    	        if test -n "$(DESTDIR)"; then \
    	          echo "  (check DESTDIR support)"; \
    	        fi ; \
    	        $(distuninstallcheck_listfiles) ; \
    	        exit 1; } >&2
    distcleancheck: distclean
    	@if test '$(srcdir)' = . ; then \
    	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
    	  exit 1 ; \
    	fi
    	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
    	  || { echo "ERROR: files left in build directory after distclean:" ; \
    	       $(distcleancheck_listfiles) ; \
    	       exit 1; } >&2
    check-am: all-am
    check: check-am
    all-am: Makefile $(DATA) $(HEADERS)
    
    installdirs:
    	$(mkinstalldirs) $(DESTDIR)$(pkgconfigdir) $(DESTDIR)$(driinterfacedir) $(DESTDIR)$(xf86dridir)
    install: install-am
    install-exec: install-exec-am
    install-data: install-data-am
    uninstall: uninstall-am
    
    install-am: all-am
    	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
    
    installcheck: installcheck-am
    install-strip:
    	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
    	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
    	  `test -z '$(STRIP)' || \
    	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
    mostlyclean-generic:
    
    clean-generic:
    
    distclean-generic:
    	-rm -f $(CONFIG_CLEAN_FILES)
    
    maintainer-clean-generic:
    	@echo "This command is intended for maintainers to use"
    	@echo "it deletes files that may require special tools to rebuild."
    clean: clean-am
    
    clean-am: clean-generic mostlyclean-am
    
    distclean: distclean-am
    	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
    	-rm -f Makefile
    distclean-am: clean-am distclean-generic distclean-tags
    
    dvi: dvi-am
    
    dvi-am:
    
    info: info-am
    
    info-am:
    
    install-data-am: install-driinterfaceHEADERS install-pkgconfigDATA \
    	install-xf86driHEADERS
    
    install-exec-am:
    
    install-info: install-info-am
    
    install-man:
    
    installcheck-am:
    
    maintainer-clean: maintainer-clean-am
    	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
    	-rm -rf $(top_srcdir)/autom4te.cache
    	-rm -f Makefile
    maintainer-clean-am: distclean-am maintainer-clean-generic
    
    mostlyclean: mostlyclean-am
    
    mostlyclean-am: mostlyclean-generic
    
    pdf: pdf-am
    
    pdf-am:
    
    ps: ps-am
    
    ps-am:
    
    uninstall-am: uninstall-driinterfaceHEADERS uninstall-info-am \
    	uninstall-pkgconfigDATA uninstall-xf86driHEADERS
    
    .PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic ctags \
    	dist dist-all dist-bzip2 dist-gzip distcheck distclean \
    	distclean-generic distclean-tags distcleancheck distdir \
    	distuninstallcheck dvi dvi-am info info-am install install-am \
    	install-data install-data-am install-driinterfaceHEADERS \
    	install-exec install-exec-am install-info install-info-am \
    	install-man install-pkgconfigDATA install-strip \
    	install-xf86driHEADERS installcheck installcheck-am installdirs \
    	maintainer-clean maintainer-clean-generic mostlyclean \
    	mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
    	uninstall-am uninstall-driinterfaceHEADERS uninstall-info-am \
    	uninstall-pkgconfigDATA uninstall-xf86driHEADERS
    
    # Tell versions [3.59,3.63) of GNU make to not export all variables.
    # Otherwise a system limit (for SysV at least) may be exceeded.
    .NOEXPORT: